using FlatRender.IdentitySvc.Domain.Entities;

namespace FlatRender.IdentitySvc.Application.Services.Interfaces;

public interface ITokenService
{
    string GenerateAccessToken(User user, Tenant tenant);
    string GenerateRefreshToken();
    string HashToken(string token);
    (Guid userId, Guid tenantId, bool isAdmin) ValidateAccessToken(string token);
    string GenerateServiceToken();
}
